ODK API Portal
English
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • 지원 종료
  • 최근 변경
Information
category
base
contact-us
cover
curation
epg
episode
navigation
notice
page
payment/purchase
payment
    admin coupon createpostadmin coupon retrievegetrecurly coupon retrievegetpayment-method listgetpayment-method partial updatepatchproduct-subscription retrievegetpublic-key listgetsubscription createpostsubscription cancelpostsubscription changepostregister user and roku customer id relationpost
playback
program
programs
search
tv-guide
user/change-email
user
continuous-watching
user/favorites
user/qr-login
user/reset-password
user/social-auth
user/verify-email
Schemas
powered by Zudoku
ODX/V2 API
ODX/V2 API

payment


admin coupon create

POST
https://odkmedia.io/odx/api/v2
/payment/coupon/admin/

admin coupon create › query Parameters

debug
​string

If value is "on", debug is included in response.

admin coupon create › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

admin coupon create › Request Body

OdxV2CouponAdminCreateInputSchema
code
​string · minLength: 3 · required

admin coupon code

admin coupon create › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
POST/payment/coupon/admin/
curl https://odkmedia.io/odx/api/v2/payment/coupon/admin \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "code": "code" }'
Example Request Body
{ "code": "code" }
json
Example Responses
No example specified for this content type
application/json

admin coupon retrieve

GET
https://odkmedia.io/odx/api/v2
/payment/coupon/admin/{code}/

admin coupon retrieve › path Parameters

code
​string · required

admin coupon retrieve › query Parameters

debug
​string

If value is "on", debug is included in response.

admin coupon retrieve › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

admin coupon retrieve › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
GET/payment/coupon/admin/{code}/
curl https://odkmedia.io/odx/api/v2/payment/coupon/admin/:code \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type
application/json

recurly coupon retrieve

GET
https://odkmedia.io/odx/api/v2
/payment/coupon/recurly/

recurly coupon retrieve › query Parameters

product_code
​string · enum · required
Enum values:
ODK-PREMIUM-1-MONTH
ODK-PREMIUM-1-YEAR
coupon_code
​string · required
debug
​string

If value is "on", debug is included in response.

recurly coupon retrieve › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

recurly coupon retrieve › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
GET/payment/coupon/recurly/
curl 'https://odkmedia.io/odx/api/v2/payment/coupon/recurly?product_code=<string>&coupon_code=<string>' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type
application/json

payment-method list

GET
https://odkmedia.io/odx/api/v2
/payment/payment-method/

payment-method list › query Parameters

debug
​string

If value is "on", debug is included in response.

payment-method list › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

payment-method list › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
GET/payment/payment-method/
curl https://odkmedia.io/odx/api/v2/payment/payment-method \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type
application/json

payment-method partial update

PATCH
https://odkmedia.io/odx/api/v2
/payment/payment-method/update/

payment-method partial update › query Parameters

debug
​string

If value is "on", debug is included in response.

payment-method partial update › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

payment-method partial update › Request Body

OdxV2PaymentMethodUpdateInputSchema
token_id
​string · minLength: 1 · maxLength: 22 · required

A token generated by Recurly.js

payment-method partial update › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
PATCH/payment/payment-method/update/
curl https://odkmedia.io/odx/api/v2/payment/payment-method/update \ --request PATCH \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "token_id": "token_id" }'
Example Request Body
{ "token_id": "token_id" }
json
Example Responses
No example specified for this content type
application/json

product-subscription retrieve

GET
https://odkmedia.io/odx/api/v2
/payment/product-subscription/{product_code}/

product-subscription retrieve › path Parameters

product_code
​string · enum · required
Enum values:
ODK-PREMIUM-1-MONTH
ODK-PREMIUM-1-YEAR
ODK-PREMIUM-SAMSUNG-1-MONTH
ODK-PREMIUM-SAMSUNG-1-YEAR

product-subscription retrieve › query Parameters

debug
​string

If value is "on", debug is included in response.

product-subscription retrieve › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

product-subscription retrieve › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​OdxV2PaymentSubscription
GET/payment/product-subscription/{product_code}/
curl https://odkmedia.io/odx/api/v2/payment/product-subscription/:product_code \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>'
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": { "callback_url": "callback_url", "description": "description", "fields_on": true, "operation_type": "subscribe", "price": {}, "product_code": "product_code", "product_name": "product_name", "public_key": "public_key" } }
json
application/json

public-key list

GET
https://odkmedia.io/odx/api/v2
/payment/public-key/recurly/

public-key list › query Parameters

debug
​string

If value is "on", debug is included in response.

public-key list › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

public-key list › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
GET/payment/public-key/recurly/
curl https://odkmedia.io/odx/api/v2/payment/public-key/recurly \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type
application/json

subscription create

POST
https://odkmedia.io/odx/api/v2
/payment/subscription/

subscription create › query Parameters

debug
​string

If value is "on", debug is included in response.

subscription create › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

subscription create › Request Body

OdxV2SubscriptionCreateInputSchema
product_code
​string · slug · minLength: 1 · pattern: ^[A-Z0-9_]+$ · required
token_id
​string · minLength: 1 · maxLength: 22 · required

A token generated by Recurly.js

coupon_code
​string | null · enum

Recurly Coupons (odk7dfree for ODK-PREMIUM-1-MONTH / 2mfreeodk for ODK-PREMIUM-1-YEAR)

Enum values:
odk7dfree
2mfreeodk

subscription create › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
result
​emptyResult
POST/payment/subscription/
curl https://odkmedia.io/odx/api/v2/payment/subscription \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "coupon_code": "odk7dfree", "product_code": "product_code", "token_id": "token_id" }'
Example Request Body
{ "coupon_code": "odk7dfree", "product_code": "product_code", "token_id": "token_id" }
json
Example Responses
{ "code": "code", "debug": { "device": { "app_version": "app_version", "device_identifier": "device_identifier", "os": "os", "os_version": "os_version", "package_name": "package_name" }, "request": { "body": {}, "country": "country", "custom_headers": {}, "ip": "ip", "qs": {}, "user_agent": "user_agent" } }, "messages": {}, "title": "title", "result": {} }
json
application/json

subscription cancel

POST
https://odkmedia.io/odx/api/v2
/payment/subscription/cancel/

subscription cancel › query Parameters

debug
​string

If value is "on", debug is included in response.

subscription cancel › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

subscription cancel › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
POST/payment/subscription/cancel/
curl https://odkmedia.io/odx/api/v2/payment/subscription/cancel \ --request POST \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>'
Example Responses
No example specified for this content type
application/json

subscription change

POST
https://odkmedia.io/odx/api/v2
/payment/subscription/change/

subscription change › query Parameters

debug
​string

If value is "on", debug is included in response.

subscription change › Headers

Service-Name
​string · enum · required

Only "odk" is supported.

Enum values:
odk
Accept-Language
​string · enum

"zh-Hans", "zh-Hant" is deprecated.

Enum values:
ko
en
es
zh-Hans
zh-Hant
zh-hans
zh-hant
pt
Default: en

subscription change › Request Body

OdxV2SubscriptionChangeInputSchema
product_code
​string · slug · minLength: 1 · pattern: ^[A-Z0-9_]+$ · required

subscription change › Responses

code
​code
​debug

This property is included when debug is "on" in querystring.

messages
​messages
title
​title
​object
POST/payment/subscription/change/
curl https://odkmedia.io/odx/api/v2/payment/subscription/change \ --request POST \ --header 'Content-Type: application/json' \ --header 'Service-Name: <string>' \ --header 'Authorization: <api-key>' \ --data '{ "product_code": "product_code" }'
Example Request Body
{ "product_code": "product_code" }
json
Example Responses
No example specified for this content type
application/json

register user and roku customer id relation

POST
https://odkmedia.io/odx/api/v2
/roku/user/

register user and roku customer id relation › Request Body

OdkRokuUserRegisterSchema
pay_result
​object · required

Object. It is result of RokuPay transaction.

user_id
​integer · required

ODK user ID

register user and roku customer id relation › Responses

OK

No data returned
POST/roku/user/
curl https://odkmedia.io/odx/api/v2/roku/user \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "pay_result": { "channelId": "581251", "channelName": "Roku Developers", "comments": "New order processed.", "creditsApplied": 0, "currency": "usd", "customerId": "4e5812f5b00b4f5b90f768d22a7de170", "eventDate": "2020-03-05T18:45:04.8762198Z", "expirationDate": "2020-04-05T18:45:04.3142198Z", "isFreeTrial": false, "originalTransactionId": "d9dbdfec-c5cc-41cb-b881-ab750135029b", "price": 5.99, "productCode": "odk-premium-monthly", "productName": "Monthly Subscription", "purchaseChannel": "web", "purchaseContext": "isu", "responseKey": "d4dd12df0c8445afa8860895061e72f9", "tax": 0, "total": 5.99, "transactionId": "d9dbdfecc5cc41cbb881ab750135029b", "transactionType": "Sale" }, "user_id": 23012 }'
Example Request Body
{ "pay_result": { "channelId": "581251", "channelName": "Roku Developers", "comments": "New order processed.", "creditsApplied": 0, "currency": "usd", "customerId": "4e5812f5b00b4f5b90f768d22a7de170", "eventDate": "2020-03-05T18:45:04.8762198Z", "expirationDate": "2020-04-05T18:45:04.3142198Z", "isFreeTrial": false, "originalTransactionId": "d9dbdfec-c5cc-41cb-b881-ab750135029b", "price": 5.99, "productCode": "odk-premium-monthly", "productName": "Monthly Subscription", "purchaseChannel": "web", "purchaseContext": "isu", "responseKey": "d4dd12df0c8445afa8860895061e72f9", "tax": 0, "total": 5.99, "transactionId": "d9dbdfecc5cc41cbb881ab750135029b", "transactionType": "Sale" }, "user_id": 23012 }
json
application/json
Example Responses
No example specified for this content type

payment/purchaseplayback